Description

See https://answers.splunk.com/answers/488487/how-can-i-change-the-response-code-401-and-404-to.html

Associated revisions

Revision 267 - 04/24/2017 07:17 PM - luke.murphey

Added rendering of configuration for what is considered a failure

Reference #1701

Revision 268 - 04/24/2017 07:21 PM - luke.murphey

Improving styling of edit link

Reference #1701

Revision 269 - 04/24/2017 07:29 PM - luke.murphey

Adding saving of the macros

Reference #1701

Revision 270 - 04/25/2017 08:25 AM - luke.murphey

Macro values now load correctly

Reference #1701

Revision 276 - 04/27/2017 07:44 AM - lukemurphey

Improving code for modifying failure definition

Reference #1701

History

#1 - 01/27/2017 08:42 AM - Luke Murphey

I might employ a KV store lookup that allows people to declare the 400 codes that they want to be considered failures.

Other options include:

macro

CSV lookup (could have a controller which produces the appropriate file); this wouldn't replicate without a specific call though
#2 - 04/12/2017 06:58 AM - Luke Murphey

- Target version changed from 2.1 to 2.2

#3 - 04/22/2017 07:31 AM - Luke Murphey

As part of this, I ought to make this an alert.

#4 - 04/22/2017 07:34 AM - Luke Murphey

[Website Performance Problem]

action.email.useNSSubject = 1

alert.suppress = 0

alert.track = 1

counttype = number of events

cron_schedule = */1 * * * *

dispatch.earliest_time = -5m

dispatch.latest_time = 0

display.general.type = statistics

display.page.search.tab = statistics

enableSched = 1

quantity = 0

relation = greater than

request.ui_dispatch_app = website_monitoring

request.ui_dispatch_view = search

search = sourcetype="web_ping" (`response_codes_to_alert_on` OR timed_out=True OR total_time>`response_time_th

reshold`) | fillnull response_code value="Connection failed" | eval response_code=if(timed_out == "True", "Con

nection timed out", response_code) | stats count as count max(total_time) as max_total_time by title url respo

nse_code | eval max_total_time=round(max_total_time, 2)." ms" 

#5 - 04/22/2017 07:41 AM - Luke Murphey

Best UX would be:

Have a link on the overview page to an alert editor

The editor should allow users to specify:

which codes should be considered an error

what the threshold is for alerting

Should link to the alerts page for editing (

http://127.0.0.1:8000/en-US/app/website_monitoring/alert?s=%2FservicesNS%2Fnobody%2Fwebsite_monitoring%2Fsaved%2Fsearches%2FW

ebsite%2520Performance%2520Problem)

#6 - 04/22/2017 07:42 AM - Luke Murphey
- Subject changed from Add ability to treat 400 codes as a non-failure to Add ability to treat 400 codes as a non-failures

#7 - 04/22/2017 07:44 AM - Luke Murphey

- Status changed from New to In Progress

#8 - 04/24/2017 06:39 AM - Luke Murphey

Some useful examples:

https://github.com/LukeMurphey/splunk-simplexml-setup-example/blob/df230c951d48b69d33686207b2eb601bbf7f8a53/src/appserver/static/js/vi

ews/SetupView.js

#9 - 04/25/2017 07:26 AM - Luke Murphey

Todos:

Handle saving response codes

Handle errors

Loading a custom entry

Show message when done

Add input validation

Check permissions

#10 - 04/25/2017 07:57 AM - Luke Murphey

Getting an error when either of the widgets are created.

#11 - 04/25/2017 08:01 AM - Luke Murphey

Questions:

Has something to do with tokens?

Setting tokens to false doesn't change it

Why does this not fail on other dashboards?

Insteon app does this in https://github.com/LukeMurphey/splunk-insteon/blob/master/src/appserver/static/js/views/AnnotateEventView.js

It blows up too

#12 - 04/25/2017 08:21 AM - Luke Murphey

Error is here (promises is null):

                    var dfd = $.Deferred()

                      , inputs = this._getInputs();

                    if (inputs.length > 0) {

                        var promises = _(inputs).invoke("onInputReady");

                        $.when.apply($, promises).always(dfd.resolve)
#13 - 04/25/2017 08:22 AM - Luke Murphey

The fix was to load an empty onInputReady():

response_code_input.onInputReady = function(){}

response_threshold_input.onInputReady = function(){}

#14 - 04/27/2017 05:11 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
